Bug 238966 - security/libsodium: Update to 1.0.18
Summary: security/libsodium: Update to 1.0.18
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL: https://people.FreeBSD.org/~sunpoet/p...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-03 18:59 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2019-08-21 19:51 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (vsevolod)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2019-07-03 18:59:43 UTC
Update to 1.0.18

- Add LICENSE_FILE
- Pet portlint

Changes:        https://github.com/jedisct1/libsodium/releases
Comment 1 Walter Schwarzenfeld freebsd_triage 2019-08-15 13:41:14 UTC
Done with ports r508827.
Comment 2 commit-hook freebsd_committer 2019-08-16 18:12:54 UTC
A commit references this bug:

Author: sunpoet
Date: Fri Aug 16 18:11:45 UTC 2019
New revision: 509114
URL: https://svnweb.freebsd.org/changeset/ports/509114

Log:
  Add LICENSE_FILE

  - Pet portlint

  PR:		238966
  Submitted by:	sunpoet (myself)
  Approved by:	maintainer (timeout, 6 weeks)

Changes:
  head/security/libsodium/Makefile
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-08-21 19:44:50 UTC
(In reply to Walter Schwarzenfeld from comment #1)

The version update part was committed in ports r508827 but there's still something else in the patch, so I committed it.